var GAME_TIME = 30 * 1000;
var TIMER_TICK_INTERVAL = 59;
function scoreToPhraseFunction(score){
	return log(score);
}

function linear(score){
	var PHRASE_INTERVAL = 30;
	return Math.floor(score/PHRASE_INTERVAL) - 1;
}

function log(score){
	return Math.floor(Math.log(score));
}


$(function(){
	var $imageContainer = $('.image');
	var $gameImage = $('.image img');
	var image = $gameImage[0];
	var $seconds = $('.seconds');
	var $score = $('.score');
	var $mark = $('.mark');

	function compareAspects(){
		if($imageContainer.width()/$imageContainer.height() > $gameImage.width()/$gameImage.height()){
			$imageContainer.removeClass('fillWidth').addClass('fillHeight');
		} else {
			$imageContainer.removeClass('fillHeight').addClass('fillWidth');
		}
	}
	compareAspects();
	setTimeout(compareAspects,500);
	$(window).bind('resize',compareAspects);

	var score = 0;
	var currentPhrase = -1;

	var countdown = new Countdown(GAME_TIME,TIMER_TICK_INTERVAL,
		function(time){
			var roundedTime = Math.round( time ) / 1000;
			$seconds.text(roundedTime.toFixed(3));
		},
		function(){
			window.location = 'score.html?score='+parseInt(score);
		}
	);

    var touchSupported = typeof document.body.ontouchstart != 'undefined' && document.body.ontouchstart != null;
    var event = touchSupported?'touchstart':'mousedown';
	$gameImage.bind(event,function(){
		image.className = 'active';
		setTimeout(function(){image.className = '';},50);

		score++;
		var phraseCount = scoreToPhraseFunction(score);
		if(phraseCount > currentPhrase){
			currentPhrase = phraseCount;
			updatePhrase(currentPhrase);
		}
		$score.text(score);
	});

	function updatePhrase(number){
		if(number >= phrases.length) return;
		$mark.text(phrases[number]);
	}

	countdown.start();
});